% --- THIS MAKES EQUATIONS BETTER ---
%
\usepackage{mathtools}                                 % mathtools and amsmath


% ---------- CHOOSE A FONT ----------
%
\usepackage[protrusion=true,expansion=true]{microtype} % Better typography
\usepackage[T1]{fontenc}                               % Better typography
\usepackage{lmodern}

\usepackage[scaled=0.92]{helvet}                       % load Helvetica font
\renewcommand*\familydefault{\sfdefault}               % Helvetica font for main text

%\usepackage{times}                                    % Times font for main text
%\usepackage{txfonts}                                  % Equations using Times-like font


% (or leave all font commands above commented out for LaTeX default, Computer Modern)


\usepackage[english]{babel}                            % hyphenation etc for English


% --------- MISC FORMATTING ---------
%
\usepackage{fancyhdr}                % fancy headers!
\usepackage{setspace}                % needed for doublespacing
% \doublespacing                     % doublespaced line spacing
\usepackage{natbib}                  % for our chosen bibliography style
\usepackage{graphicx}                % for importing graphics into figures
\usepackage{float}                   % better control of figure placement
\usepackage{nameref}                 % ref to sections by name
\PassOptionsToPackage{hyphens}{url}  % force linebreaks un URLs
\usepackage{hyperref}                % for clickable URLs and email addresses
\urlstyle{sf}                        % san-serif font for URLs
\usepackage[margin=1.2in]{geometry}  % control page margins
\usepackage[short]{datetime}         % precise date/time stamp on titlepage
\usepackage[font=small,labelfont=bf]{caption}
                                     % make caption labels boldface and small
\usepackage[bottom]{footmisc}        % footnotes at bottom of page
\setlength{\skip\footins}{10mm}      % obsessing about footnote spacing
\setlength{\parskip}{1ex}            % space between paragraphs
%\setlength{\parindent}{3em}         % paragraph indentation
%\usepackage{lineno}                  % add line numbers to margin
%\def\linenumberfont{\normalfont\footnotesize\sffamily} % line numbers
%\setlength\linenumbersep{9mm}                          % line numbers
%\linenumbers                                           % line numbers
\usepackage{authblk}                 % author and affiliation formatting
\renewcommand\Affilfont{\small}
\RequirePackage{doi}

\usepackage{wrapfig}                 % wrappable figures and tables

% --------- SECTION HEADINGS ---------
%
% \usepackage[compact]{titlesec}
% \titleformat*{\section}{\sffamily\normalsize\bfseries\uppercase}
% \titlespacing*{\section}{0pt}{1.5ex}{0ex}
% \titleformat*{\subsection}{\sffamily\normalsize\bfseries}
% \titlespacing*{\subsection}{0pt}{0ex}{0ex}
% \titleformat*{\subsubsection}{\sffamily\normalsize\itshape}
% \titlespacing*{\subsubsection}{0pt}{0ex}{0ex}

% ------- CUSTOM TITLE FORMAT -------
%
\makeatletter
\renewcommand{\maketitle}{
\begin{flushleft}       % right align
\vspace*{5mm}
\MakeUppercase{\Large\sffamily\bfseries\@title}   % increase the font size of the title
\rule{\textwidth}{0.5pt}
\vspace{15mm}\\         % vertical space between the title and author name
{\normalsize\sffamily\@author}        % author name
\end{flushleft}
}
\makeatother

% ------- DEGREE SYMBOL ---------
%
\newcommand{\degrees}{\ensuremath{^\circ}} % for nice degree symbol

% EURO Symbol
\usepackage[official]{eurosym}

% Text Highlight
\usepackage{color,soul}

% Mutliline table cells
\usepackage{makecell}
\usepackage{booktabs}

\usepackage[x11names, html, dvipsnames]{xcolor}
\hypersetup{
    colorlinks=true,
    linkcolor=MidnightBlue,
    urlcolor=MidnightBlue,
    citecolor=MidnightBlue
}
\newcommand*{\email}[1]{\href{mailto:#1}{\nolinkurl{#1}}}

\usepackage{listings}
\definecolor{maroon}{rgb}{0.5,0,0}
\definecolor{darkgreen}{rgb}{0,0.5,0}

\lstset{
    % How/what to match
    sensitive=true,
    % Border (above and below)
    frame=lines,
    % Extra margin on line (align with paragraph)
    xleftmargin=\parindent,
    % Put extra space under caption
    belowcaptionskip=1\baselineskip,
    % Colors
    basicstyle=\ttfamily,
    commentstyle=\color{darkgreen},
    stringstyle=\color{MidnightBlue},
    identifierstyle=\color{maroon},
    % Break long lines into multiple lines?
    breaklines=true,
    % Show a character for spaces?
    showstringspaces=false,
    tabsize=2,
    aboveskip=20pt,
    belowskip=20pt
}


\lstdefinelanguage{XML}
{
    basicstyle=\ttfamily,
    morestring=[s]{"}{"},
    morecomment=[s]{?}{?},
    morecomment=[s]{!--}{--},
    commentstyle=\color{darkgreen},
    moredelim=[s][\color{black}]{>}{<},
    moredelim=[s][\color{red}]{\ }{=},
    stringstyle=\color{MidnightBlue},
    identifierstyle=\color{maroon}
}

\usepackage{enumitem}
